#
# spec file for package tty-clock
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 R. Tyler Croy <tyler@linux.com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tty-clock
Version:        2.3
Release:        1.13
Summary:        Simple console clock
License:        BSD-3-Clause
Group:          System/Console
URL:            https://github.com/xorg62/tty-clock
Source0:        https://github.com/xorg62/tty-clock/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  ncurses-devel

%description
A simple console-based clock built with ncurses

%prep
%setup -q
%if 0%{?suse_version} == 1110
sed -e 's/--includedir/--cflags/g' -i Makefile
%endif

%build
export SUSE_ASNEEDED=0
export CFLAGS="%{optflags}"
%if 0%{?rhel}
export LDFLAGS="-lncurses"
%endif
make %{?_smp_mflags}


%install
%make_install PREFIX=%{_prefix}

%files
%doc

%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Wed Oct 18 2017 aavindraa@gmail.com
- Update to latest stable release (2.3)
- Man page for tty-clock binary
- Packaging tidy:
  + Spec cleanup
  + Remove generatebzball.sh
  + Use makefile to do installation
* Tue Nov 22 2016 aloisio@gmx.com
- Update to latest git commit
- Spec cleanup
* Sun Mar 13 2011 tyler@monkeypox.org
  Initial package for tty-clock
